Bug 824418 - jBPM is missing a method from a public API.
jBPM is missing a method from a public API.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBPM - within SOA (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Shelly McGowan
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 08:32 EDT by Marek Baluch
Modified: 2016-09-20 01:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2012-05-23 08:32:23 EDT
Description of problem:

org.jbpm.db.JobSession is missing the following method:

public java.util.List org.jbpm.db.JobSession.loadJobs(long[])

The method was still present in 3.2.11 and was removed in 3.2.12. In case a customer us using the API this could lead to serious problems.
Comment 1 Marco Rietveld 2012-05-30 13:49:42 EDT
Readded. I will be pushing the commits that include this fix (among others) tomorrow evening at the latest.
Comment 4 Suz 2012-06-13 01:54:46 EDT
I have set the technical note field to negative as this appears to have been detected and fixed in the same version, so users will not have seen it.
Comment 5 Marek Baluch 2012-06-21 09:48:31 EDT
Verified on 5.3 ER4.

Note You need to log in before you can comment on or make changes to this bug.